# Interface AsyncCallback.AllChildrenNumberCallback

All Superinterfaces:
  `AsyncCallback`

Enclosing interface:
  `AsyncCallback`

@Public public static interface AsyncCallback.AllChildrenNumberCallback extends AsyncCallback
This callback is used to get all children node number of the node.

Since:
  3.6.0

## Nested Class Summary

### Nested classes/interfaces inherited from interface AsyncCallback

`AsyncCallback.ACLCallback, AsyncCallback.AllChildrenNumberCallback, AsyncCallback.Children2Callback, AsyncCallback.ChildrenCallback, AsyncCallback.Create2Callback, AsyncCallback.DataCallback, AsyncCallback.EphemeralsCallback, AsyncCallback.MultiCallback, AsyncCallback.StatCallback, AsyncCallback.StringCallback, AsyncCallback.VoidCallback`

## Method Summary

Modifier and Type
Method
Description
`void`
`processResult(int rc, String path, Object ctx, int number)`

## Method Details

### processResult

void processResult(int rc, String path, Object ctx, int number)

Parameters:
  `rc` - The return code or the result of the call.
  `ctx` - Whatever context object that we passed to asynchronous calls.
  `number` - The number of children nodes under a specific path.
See Also:
  - `ZooKeeper.getAllChildrenNumber(String, AsyncCallback.AllChildrenNumberCallback, Object)`